Onboarding
Save Signed Docu Sign Document
Checks a DocuSign envelope's completion, downloads the signed PDF to S3, and files it as an onboarding document.
POSThttps://api.toku.com/hris/save-signed-docu-sign-document
Not available to API keys.
curl --request POST \
--url 'https://api.toku.com/hris/save-signed-docu-sign-document' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"roleInOrgId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"envelopeId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"formType": "W4",
"templateInstanceId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}'200 response
{
"saved": true,
"documentId": "string",
"fileId": "string",
"envelopeStatus": "string",
"pendingCountersignature": true,
"finalizing": true
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
roleInOrgIdstring<uuid>requiredenvelopeIdstring<uuid>requiredformTypestringAvailable options: W4, W8, W9, STATE_TAX, I9
templateInstanceIdstring<uuid>Response
200Successful response
savedbooleanrequireddocumentIdstringfileIdstringenvelopeStatusstringrequiredpendingCountersignaturebooleanfinalizingboolean400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits